Checkout

The Checkout endpoint in Signifyd's API is used to record a Checkout Event in a Pre-Auth flow. This call should be made before calling your Payment Gateway. After the Payment Gateway call, you must complete the checkout process with a call to the Transaction endpoint.

If a previous Checkout Event with the same orderId has been received, the Order will be updated and/or overwritten with the new details, except for purchase.createdAt, which can be set only once per order. For partial updates, other event types (such as Reprice or Reroute) can be used. Orders can be updated up to 100 times to generate a new decision. Updates beyond the 100th will result in a decision.checkpointAction value of REJECT.

The orderId value acts as a primary key and should be consistent across all purchase attempts related to the same order. A consistent orderId enables Signifyd to accurately deduplicate purchases and provide reliable performance metrics. If your system cannot provide a consistent orderId across multiple purchase attempts, please contact your Signifyd implementations manager to discuss alternative deduplication strategies.

If Decision Center is enabled, policies for Sale events can be configured at the Sale checkpoint, and they will be applied to orders created via requests to this endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Unique identifier for a checkout.

device
object

Data about the device that was used by the user to complete the actions.

merchantPlatform
object

Details about the merchant's commerce platform.

signifydClient
object

For internal use only. Provides Signifyd details about the Signifyd plugin that a merchant is using.

transactions
array of objects

A list of payment authorizations that will be attempted to pay for the order.

transactions
additionalEvalRequests
array of strings

The types of additional evaluations requested. If no additional evaluation object is provided or is empty, additional evaluation will not take place. For further information please contact your Signifyd Implementation Manager.

  • SCA_EVALUATION - Use when you want SCA exemption and exclusion evaluation.
additionalEvalRequests
Allowed:
string
enum
Defaults to SIGNIFYD_RECOMMENDATION

This field specifies how the decision returned in the decision field will be made.

  • SIGNIFYD_RECOMMENDATION - Use when you would like Signifyd's model recommendation to be the default decision.checkpointAction. Your Decision Center policies will still run and potentially override the Signifyd recommendation.
  • POLICY_ONLY_ACCEPT - Use when you only want your Decision Center policies to determine the decision with no recommendation provided by Signifyd. If no policy conditions match the evaluated order, then a decision.checkpointAction of ACCEPT will be returned. This value can only be used when the request's coverageRequests value is set to NONE.
  • INFO_ONLY - Use when you want to send transactions to Signifyd but not have a decision returned. This value can only be used when the request's coverageRequests value is set to NONE.
Allowed:
string
required

Unique identifier for the order.

purchase
object
required

Details about the products that were purchased and how the purchase was made.

userAccount
object

needed An object containing key details used to evaluate the legitimacy of a user account and its associated activity during a transaction. This includes user account data such as email address, account creation date, and other relevant attributes. These details are crucial for identifying patterns that may indicate suspicious or potentially fraudulent behavior.

memberships
array of objects

The membership object should be used to indicate the use of a buyer’s rewards, discounts, or admission programs during the purchase. Common uses include but are not limited to, memberships like Costco, Amazon Prime, Walmart+, and Airline Frequent Flyer programs. This object is conceptually distinct from userAccount whose attributes relate to the online account that was used by the buyer to complete the purchase; it's what the buyer "logs in to". You would never login to a "membership".

memberships
coverageRequests
array of strings

needed The types of coverages requested. If no coverage object is provided or is empty, coverage will be set to the team's default policy.
For further information please contact your Signifyd Implementation manager.

  • FRAUD - use when you need a financial guarantee for Payment Fraud.
  • INR - use when you need a financial guarantee for Item Not Received.
  • SNAD - use when you need a financial guarantee for fraud alleging items are Significantly Not As Described.
  • ALL - use when you need a financial guarantee on all chargebacks.
  • NONE - use when you do not need a financial guarantee. Suggested actions in decision.checkpointAction are recommendations.
coverageRequests
Allowed:
string

A Merchant Category Code (MCC) is a four-digit number listed in ISO 18245 for retail financial services. An MCC is used to classify every business that accepts card payments by the goods or services it provides. The MCC is provided by payment processors on authorizations.

sellers
array of objects

Use only if you operate a marketplace (e.g. eBay) and allow other merchants to list and sell products on the online store. A seller is an online account for the merchant or business that listed and sold the product(s) on the order.

sellers
tags
array of strings

A list of attributes or short descriptors associated with the order.

tags
string
enum

If you have a risk system independent of Signifyd, use this field to pass us the decision from that system. For declines, use either DECLINE_POLICY or DECLINE_FRAUD whenever possible. DECLINE should only be used if the underlying reason is unknown

Headers
int64

The team id requested for authentication. This should normally be omitted, as it's only relevant when auth credentials allow requests for multiple teams.

Responses

204

A 204 response indicates that the request was processed but no response is expected.

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json